/** @file ps_phong.glsl
 * 
 *  @brief Pixel shader for phong shading.
 *
 *  THERE IS NOT NEED TO CHANGE THIS FILE.
 *  Phong shader already implemented for you.
 *
 *  Outputs the sum of the diffuse and specular phong lighting components on a material.
 *  
 *  @author Alexander Chia (yansheng)
 *  @bug None known.
 */

uniform vec3 mat_diffuse;        // diffuse material of our object.
uniform vec3 mat_specular;       // specular material of our object.

/* phong lighting components */
varying float phong_diffuse, phong_specular;

void main() {
  gl_FragColor = gl_Color * vec4((phong_diffuse * mat_diffuse + phong_specular * mat_specular), 1.0);
}
